package grafikchat.controller;

import grafikchat.model.ChatModel;
import grafikchat.model.TransceiverDataEvent;
import grafikchat.view.ChatView;
import java.util.Observable;
import java.util.Observer;

/**
 * Take care of received messages. Show to user in UI
 * 
 * @author marian
 */
public class ReceiveAdapter implements Observer
{
    private ChatView view;
    
    /**
     * Constructor, get reference to view
     * @param view ChatView
     */
    public ReceiveAdapter(ChatView view)
    {
        this.view = view;
    }
    
    /**
     * Incoming information from Observable
     * @param obs Observable
     * @param object Received message
     */
    @Override
    public void update(Observable obs, Object object)
    {
        TransceiverDataEvent mode = (TransceiverDataEvent)object;
        
        switch (mode)
        {
            case NEWPOINT:
                view.getGvDrawPane().drawPoint(false);
                break;
            case REPAINT:
                view.getGvDrawPane().repaint();
                break;
        }
    }
    
}
