package grafikchat.ohmlogger;

import java.util.logging.ConsoleHandler;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 * Logger with custom format
 * 
 * @author marian
 */
public class OhmLogger
{
    private static Logger lg;
    
    /**
     * Get logger object
     * 
     * @return logger object 
     */
    public static Logger getLogger()
    {
        if (lg == null) {
            lg = Logger.getLogger("OhmLogger");
            initLogger();
        }
        
        return lg;
    }
    
    /**
     * Initialize new logger and set custom formatter
     */
    private static void initLogger()
    {
        ConsoleHandler ch = new ConsoleHandler();        
       
        ch.setFormatter(new OhmFormatter());
        lg.addHandler(ch);
        lg.setUseParentHandlers(false);
        lg.setLevel(Level.ALL);
    }
    
}
